summaryrefslogtreecommitdiffstats
path: root/graphics/dia
diff options
context:
space:
mode:
author Matt Hayes <dominian@slackadelic.com>2010-05-11 14:55:15 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:15 +0200
commit24b4bd1213fca5b1cfaa1e723a76852aa12a3e86 (patch)
treedd592c0cee986dd5f5c3db1cbc32efe1ea8b2c4f /graphics/dia
parente48a2573d14d802226c91806d10f984f69c5174d (diff)
downloadslackbuilds-24b4bd1213fca5b1cfaa1e723a76852aa12a3e86.tar.gz
slackbuilds-24b4bd1213fca5b1cfaa1e723a76852aa12a3e86.tar.xz
graphics/dia: Initial import
Diffstat (limited to 'graphics/dia')
-rw-r--r--graphics/dia/README14
-rw-r--r--graphics/dia/dia.SlackBuild65
-rw-r--r--graphics/dia/dia.info8
-rw-r--r--graphics/dia/slack-desc11
4 files changed, 98 insertions, 0 deletions
diff --git a/graphics/dia/README b/graphics/dia/README
new file mode 100644
index 0000000000..e87e1874e6
--- /dev/null
+++ b/graphics/dia/README
@@ -0,0 +1,14 @@
+Dia (diagram creation program)
+
+Dia is inspired by the commercial Windows program 'Visio', though
+more geared towards informal diagrams for casual use. It can be used
+to draw many different kinds of diagrams. It currently has special
+objects to help draw entity relationship diagrams, UML diagrams,
+flowcharts, network diagrams, and many other diagrams. It is also
+possible to add support for new shapes by writing simple XML files,
+using a subset of SVG to draw the shape.
+
+Homepage: http://www.gnome.org/projects/dia/
+
+note: Occasionally the mirror may be quite busy, this might lead to
+possible problems in downloading.
diff --git a/graphics/dia/dia.SlackBuild b/graphics/dia/dia.SlackBuild
new file mode 100644
index 0000000000..c2d6d8b94d
--- /dev/null
+++ b/graphics/dia/dia.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for dia
+# Written by Matt Hayes (dominian@slackadelic.com
+
+PRGNAM=dia
+VERSION=0.96
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+if [ -d $PKG/usr/info ]; then
+ gzip -9 $PKG/usr/info/*.info
+ rm -rf $PKG/usr/info/dir
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog KNOWN_BUGS MAINTAINERS NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/dia/dia.info b/graphics/dia/dia.info
new file mode 100644
index 0000000000..39386dea79
--- /dev/null
+++ b/graphics/dia/dia.info
@@ -0,0 +1,8 @@
+PRGNAM="dia"
+VERSION="0.96"
+HOMEPAGE="http://www.gnome.org/projects/dia/"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/dia/0.96/dia-0.96.tar.bz2"
+MD5SUM="0c173dd5f46672efb77952ecbd884bfd"
+MAINTAINER="Matt Hayes"
+EMAIL="dominian@slackadelic.com"
+APPROVED="BP{k}"
diff --git a/graphics/dia/slack-desc b/graphics/dia/slack-desc
new file mode 100644
index 0000000000..98b2b45b15
--- /dev/null
+++ b/graphics/dia/slack-desc
@@ -0,0 +1,11 @@
+dia: Dia (diagram creation program)
+dia:
+dia: Dia is inspired by the commercial Windows program 'Visio', though
+dia: more geared towards informal diagrams for casual use. It can be used
+dia: to draw many different kinds of diagrams. It currently has special
+dia: objects to help draw entity relationship diagrams, UML diagrams,
+dia: flowcharts, network diagrams, and many other diagrams. It is also
+dia: possible to add support for new shapes by writing simple XML files,
+dia: using a subset of SVG to draw the shape.
+dia:
+dia: Homepage: http://www.gnome.org/projects/dia/